Skip to main content

Customer Migrations Guide: Account Import

This page documents the data import APIs for account creation.

Validate account

Overview

Use this endpoint to validate account data before creating an account.

Schema

Loading...
POST https://api.vandebron-kraken.energy/v2/data-import/accounts/validate/

Responses

The following responses may be returned from the API.

Status codeDescription
200 - OK

If the payload is valid, a 200 OK response will be returned with the empty payload as its body.

Example:
{}
400 - Bad Request

If there are validation errors a 400 Bad Request response will be returned detailing the errors. To resolve these errors, refer to the field definitions and validation rules.

Example:
{ "detail": "Could not validate account data.", "code": "account_failed_validation", "errors": [ { "detail": "abcde is not a valid phone number", "code": "invalid_phone_number", "attr": "customers.0.landline" } ] }

Payloads

Example payload
{ "external_account_number": "EXTERNAL-1234", "import_supplier": "TENTACLE_ENERGY", "unknown_occupier": "false", "billing_address1": "Utrechtsedwarsstraat", "billing_address2": "107-109", "billing_address3": "", "billing_address4": "Amsterdam", "billing_postcode": "1017 WD", "customers": [ { "given_name": "Jorn", "family_name": "Oosterwijk", "email": "jorn.oo@gmail.com", "mobile": "+31741072122", "landline": "", "date_of_birth": "1950-08-31", "customer_preferences": { "opted_into_updates": true, "opted_into_offers": true, "opted_into_sms": true }, "user_details": [ { "namespace": "external_id", "value": "A123456789" } ] } ], "supply_addresses": [ { "supply_address1": "Vijzelstraat", "supply_address2": "45", "supply_address3": "", "supply_address4": "Amsterdam", "supply_postcode": "1017 HE", "customer_at_supply_address_from_date": "2023-01-01", "meter_points": [ { "ean": "871685920001232914", "agreements": [ { "supply_type": "ELECTRICITY", "effective_from": "2023-01-01", "tariff_code": "TEST-AGILE-ELEC", "agreed_at": "2023-01-01", "params": { "historical_contract_number": "000001", "historical_contract_pdf_path": "contracts/123-abc/contract_000001.pdf" }, "monthly_advance_charge_template": { "total_monthly_advance_amount": "1089", "forecast_annual_consumption": "1000", "forecast_consumption_units": "KWH_CONSUMPION", "forecast_annual_generation": "500", "forecast_generation_units": "KWH_CONSUMPION", "cost_details": [ { "band": "ADVANCE_SUPPLIER_DYNAMIC_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_SUPPLIER_PURCHASING_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_SUPPLIER_FIXED_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_GRID_FEE", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_1", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_2", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_3", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_4", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_5", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 } ] } } ], "last_billed_to_date": "2024-06-01", "supply_start_date": "2023-01-01", "supply_type": "ELECTRICITY", "smart_meter_administrative_status": "ON", "market_segment": "RETAIL", "location_description": "", "meters": [ { "meter_id": "123456789", "type": "SMART", "smart_meter_technical_communication": "ON", "active_from": "2023-01-01", "registers": [ { "register_id": "1.8.1", "metering_direction": "CONSUMPTION", "multiplication_factor": 1, "number_of_digits": 6, "time_of_use": "OFF_PEAK" }, { "register_id": "1.8.2", "metering_direction": "CONSUMPTION", "multiplication_factor": 1, "number_of_digits": 6, "time_of_use": "PEAK" } ] } ], "energy_meter_point_configuration_periods": [ { "allocation_method": "SMART", "energy_delivery_status": "ACTIVE", "energy_flow_direction": "CONSUMPTION", "metering_method": "MONTHLY", "physical_status": "IN_OPERATION", "profile_category": "E1A", "physical_capacity": 100, "cap_tar_code": "7520607100185", "start_date": "2023-10-01" } ], "energy_meter_point_grid_operator_effective_periods": [ { "grid_operator_code": "8719333035529", "start_date": "2023-10-01" } ], "billing_configuration_periods": [ { "residency_status": "NON_RESIDENT", "energy_tax_exception": "BUSINESS", "start_date": "2023-10-01", "end_date": "2024-04-01" }, { "residency_status": "RESIDENT", "energy_tax_exception": "NO_EXCEPTION", "start_date": "2024-04-01" } ], "estimated_annual_volumes": [ { "direction": "CONSUMPTION", "energy_netted_peak": 1000, "energy_netted_off_peak": 500, "start_at": "2024-01-01T00:00:00", "end_at": "2024-12-31T23:59:59" }, { "direction": "PRODUCTION", "energy_netted_peak": 100, "energy_netted_off_peak": 50, "start_at": "2024-01-01T00:00:00", "end_at": null } ] }, { "ean": "871692160010200300", "agreements": [ { "supply_type": "GAS", "effective_from": "2023-01-01", "tariff_code": "TEST-AGILE-GAS", "agreed_at": "2023-01-01", "params": { "historical_contract_number": "000002", "historical_contract_pdf_path": "contracts/123-abc/contract_000002.pdf" }, "monthly_advance_charge_template": { "total_monthly_advance_amount": "1089", "forecast_annual_consumption": "1000", "forecast_consumption_units": "CUBIC_METRES_CONSUMPTION", "forecast_annual_generation": "0", "forecast_generation_units": "CUBIC_METRES_CONSUMPTION", "cost_details": [ { "band": "ADVANCE_SUPPLIER_DYNAMIC_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_SUPPLIER_PURCHASING_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_SUPPLIER_FIXED_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_GRID_FEE", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_1", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_2", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_3", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_4", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_5", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 } ] } } ], "last_billed_to_date": "2024-06-01", "supply_start_date": "2023-01-01", "supply_type": "GAS", "smart_meter_administrative_status": "ON", "market_segment": "RETAIL", "location_description": "", "meters": [ { "meter_id": "987654321", "type": "SMART", "smart_meter_technical_communication": "ON", "active_from": "2023-01-01", "registers": [ { "register_id": "1.8.0", "metering_direction": "CONSUMPTION", "multiplication_factor": 1, "number_of_digits": 6 } ] } ], "energy_meter_point_configuration_periods": [ { "allocation_method": "SMART", "energy_delivery_status": "ACTIVE", "energy_flow_direction": "CONSUMPTION", "metering_method": "MONTHLY", "physical_status": "IN_OPERATION", "profile_category": "G1A", "physical_capacity": 100, "cap_tar_code": "7520607100186", "start_date": "2023-10-01" } ], "energy_meter_point_grid_operator_effective_periods": [ { "grid_operator_code": "8719333035530", "start_date": "2023-10-01" } ], "billing_configuration_periods": [ { "energy_tax_exception": "NO_EXCEPTION", "start_date": "2023-10-01", "end_date": "2024-04-01" }, { "energy_tax_exception": "NO_EXCEPTION", "start_date": "2024-04-01" } ] } ] } ], "ledgers": [ { "identifiers": [ "871685920001232914", "871692160010200300" ], "last_settlement_balance": 100, "last_settlement_closing_date": "2023-12-31", "last_settlement_issue_date": "2023-12-31", "ledger_code": "ENERGY_LEDGER", "ledger_balance": 100, "transactions_in_open_settlement_period": [ { "transaction_id": "1", "transaction_date": "2024-01-23", "amount": 532.4, "type": "SUPPLY_CHARGE", "associated_invoice_number": "INV_101", "display_note": "Monthly invoice (2024-01-01 - 2024-02-01)", "supply_type": "ELECTRICITY", "product_code": "TEST-AGILE-ELEC", "line_items": [ { "rate_band": "ADVANCE_SUPPLIER_DYNAMIC_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "48372000-56d9-4204-9a7d-f146471d76b6" } }, { "rate_band": "ADVANCE_SUPPLIER_PURCHASING_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "f684277f-f145-44ac-8cd6-8e16edf18142" } }, { "rate_band": "ADVANCE_SUPPLIER_FIXED_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "8fbc9a34-0b51-49b0-824e-72ba88c2b8ef" } }, { "rate_band": "ADVANCE_GRID_FEE", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "86e61202-961a-444a-a8db-c1919d86fc01" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_1", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "f47267d1-bf42-410e-bebb-299ec6f0ff07" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_2", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "405b2808-d691-4f4e-a3f9-b3db868cea63" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_3", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "dd62597b-d4c6-44d1-8e19-02e8d85285c5" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_4", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "222795fc-92b5-4b23-9c69-8ccacf57faa1" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_5", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "1bc704c2-16f4-48b5-bbc9-6760814dcdb0" } }, { "rate_band": "ADVANCE_ENERGY_TAX_REDUCTION", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "6a15b806-f6f7-4fbb-9108-accc822a0a28" } } ], "tax_items": [ { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "48372000-56d9-4204-9a7d-f146471d76b6" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "f684277f-f145-44ac-8cd6-8e16edf18142" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "8fbc9a34-0b51-49b0-824e-72ba88c2b8ef" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "86e61202-961a-444a-a8db-c1919d86fc01" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "f47267d1-bf42-410e-bebb-299ec6f0ff07" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "405b2808-d691-4f4e-a3f9-b3db868cea63" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "dd62597b-d4c6-44d1-8e19-02e8d85285c5" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "222795fc-92b5-4b23-9c69-8ccacf57faa1" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "1bc704c2-16f4-48b5-bbc9-6760814dcdb0" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "6a15b806-f6f7-4fbb-9108-accc822a0a28" } } ] }, { "transaction_id": "2", "transaction_date": "2024-01-23", "amount": 532.4, "type": "PAYMENT", "reason": "ACCOUNT_CHARGE_PAYMENT", "associated_invoice_number": "INV_101", "display_note": "Monthly invoice (2024-01-01 - 2024-02-01)", "reference": "", "payment_type": "DD_REGULAR_COLLECTION" }, { "transaction_id": "3", "transaction_date": "2024-02-23", "amount": 479.16, "type": "SUPPLY_CHARGE", "associated_invoice_number": "INV_102", "display_note": "Monthly invoice (2024-01-01 - 2024-02-01)", "supply_type": "GAS", "product_code": "TEST-AGILE-GAS", "line_items": [ { "rate_band": "ADVANCE_SUPPLIER_DYNAMIC_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "0190b66c-4456-7827-8358-1b7ad66041fc" } }, { "rate_band": "ADVANCE_SUPPLIER_PURCHASING_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "1972903f-888e-415b-bea0-ba408a22315a" } }, { "rate_band": "ADVANCE_SUPPLIER_FIXED_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "fd7a6e8a-91fe-44de-b985-a662360913c7" } }, { "rate_band": "ADVANCE_GRID_FEE", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "3ccc599b-94b8-4908-9f0a-4733c85aa9fd" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_1", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "0e09c28d-8a30-46aa-886e-5ca8c2825a92" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_2", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "ea43c08b-1f23-4e9a-822c-6c53b44971eb" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_3", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "993f88db-723a-4c6e-8d8c-db5f68c832a0" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_4", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "6eb58d4e-c615-4d05-8539-4bf1054da013" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_5", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "23ea8db0-174c-493d-bbdf-fd11850a7eef" } } ], "tax_items": [ { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "0190b66c-4456-7827-8358-1b7ad66041fc" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "1972903f-888e-415b-bea0-ba408a22315a" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "fd7a6e8a-91fe-44de-b985-a662360913c7" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "3ccc599b-94b8-4908-9f0a-4733c85aa9fd" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "0e09c28d-8a30-46aa-886e-5ca8c2825a92" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "ea43c08b-1f23-4e9a-822c-6c53b44971eb" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "993f88db-723a-4c6e-8d8c-db5f68c832a0" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "6eb58d4e-c615-4d05-8539-4bf1054da013" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "23ea8db0-174c-493d-bbdf-fd11850a7eef" } } ] }, { "transaction_id": "4", "transaction_date": "2024-02-23", "amount": 479.16, "type": "PAYMENT", "reason": "ACCOUNT_CHARGE_PAYMENT", "associated_invoice_number": "INV_102", "reference": "", "payment_type": "DD_REGULAR_COLLECTION" } ], "historical_statement_transactions": [ { "amount": "100", "associated_invoice_number": "invoice-2", "display_note": "some display note", "note": "some note", "payment_type": "DD_REGULAR_COLLECTION", "transaction_date": "2022-01-31", "transaction_id": "4d71ad52-3515-4fe9-b60c-f1015eac53fe2", "type": "PAYMENT" }, { "amount": 104, "associated_invoice_number": "identifiable-invoice-number", "display_note": "2022 Credits", "transaction_date": "2022-12-31", "transaction_id": "52eea2b7-c678-446e-8246-f45c50a8ded9P", "type": "CREDIT", "reason": "IMPORTED_CREDIT" } ] } ], "statements": [ { "bill_period_from_date": "2024-01-01", "bill_period_to_date": "2024-02-01", "gross_amount": 5324, "issued_date": "2024-01-23", "number": "INV_101", "statement_id": "e5dd3c54-f621-4c59-bdf1-fa896388a6a8", "statement_path": "statements/327797/433411-1654079544-20241212-20250111.pdf", "statement_pdf_context": {} }, { "bill_period_from_date": "2024-01-01", "bill_period_to_date": "2024-02-01", "gross_amount": 47916, "issued_date": "2024-02-23", "number": "INV_102", "statement_id": "e5dd3c54-f621-4c59-bdf1-fa896388a6a8", "statement_path": "statements/327797/433411-1654079544-20241212-20250111.pdf", "statement_pdf_context": {} } ] }

Create account

Overview

Use this endpoint to process account data into an account in Kraken.

Before an account is created, it is validated according to the same rules as the validate endpoint above. This is an extra safety check to make sure nothing has changed between creating the data and submitting it for account creation in Kraken.

Schema

Loading...
POST https://api.vandebron-kraken.energy/v2/data-import/accounts/

Responses

The following responses may be returned from the API.

Status codeDescription
201

If the payload is valid and an account creation has been scheduled, a 201 Created response will be returned with the empty payload as its body.

Example:
{}
400 - Bad Request

If there are validation errors, a 400 Bad Request response will be returned detailing the errors. To resolve these errors, refer to the field definitions and validation rules.

Example:
{ "code": "import_process_failed_validation", "detail": "Import process validation failed during account creation. Please validate the import process to get full details of the validation errors.", "domain": "import_process" }

If an account has already been imported, a 400 Bad Request response will be returned with account_id representing existing Kraken account number.

Example:
{ "non_field_errors": { "detail": "The account import process with the account number 1234567890 has already been imported.", "code": "account_import_process_already_imported" }, "account_id": "A-12345678" }

Payloads

Example payload
{ "external_account_number": "EXTERNAL-1234", "import_supplier": "TENTACLE_ENERGY", "unknown_occupier": "false", "billing_address1": "Utrechtsedwarsstraat", "billing_address2": "107-109", "billing_address3": "", "billing_address4": "Amsterdam", "billing_postcode": "1017 WD", "customers": [ { "given_name": "Jorn", "family_name": "Oosterwijk", "email": "jorn.oo@gmail.com", "mobile": "+31741072122", "landline": "", "date_of_birth": "1950-08-31", "customer_preferences": { "opted_into_updates": true, "opted_into_offers": true, "opted_into_sms": true }, "user_details": [ { "namespace": "external_id", "value": "A123456789" } ] } ], "supply_addresses": [ { "supply_address1": "Vijzelstraat", "supply_address2": "45", "supply_address3": "", "supply_address4": "Amsterdam", "supply_postcode": "1017 HE", "customer_at_supply_address_from_date": "2023-01-01", "meter_points": [ { "ean": "871685920001232914", "agreements": [ { "supply_type": "ELECTRICITY", "effective_from": "2023-01-01", "tariff_code": "TEST-AGILE-ELEC", "agreed_at": "2023-01-01", "params": { "historical_contract_number": "000001", "historical_contract_pdf_path": "contracts/123-abc/contract_000001.pdf" }, "monthly_advance_charge_template": { "total_monthly_advance_amount": "1089", "forecast_annual_consumption": "1000", "forecast_consumption_units": "KWH_CONSUMPION", "forecast_annual_generation": "500", "forecast_generation_units": "KWH_CONSUMPION", "cost_details": [ { "band": "ADVANCE_SUPPLIER_DYNAMIC_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_SUPPLIER_PURCHASING_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_SUPPLIER_FIXED_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_GRID_FEE", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_1", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_2", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_3", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_4", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_5", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 } ] } } ], "last_billed_to_date": "2024-06-01", "supply_start_date": "2023-01-01", "supply_type": "ELECTRICITY", "smart_meter_administrative_status": "ON", "market_segment": "RETAIL", "location_description": "", "meters": [ { "meter_id": "123456789", "type": "SMART", "smart_meter_technical_communication": "ON", "active_from": "2023-01-01", "registers": [ { "register_id": "1.8.1", "metering_direction": "CONSUMPTION", "multiplication_factor": 1, "number_of_digits": 6, "time_of_use": "OFF_PEAK" }, { "register_id": "1.8.2", "metering_direction": "CONSUMPTION", "multiplication_factor": 1, "number_of_digits": 6, "time_of_use": "PEAK" } ] } ], "energy_meter_point_configuration_periods": [ { "allocation_method": "SMART", "energy_delivery_status": "ACTIVE", "energy_flow_direction": "CONSUMPTION", "metering_method": "MONTHLY", "physical_status": "IN_OPERATION", "profile_category": "E1A", "physical_capacity": 100, "cap_tar_code": "7520607100185", "start_date": "2023-10-01" } ], "energy_meter_point_grid_operator_effective_periods": [ { "grid_operator_code": "8719333035529", "start_date": "2023-10-01" } ], "billing_configuration_periods": [ { "residency_status": "NON_RESIDENT", "energy_tax_exception": "BUSINESS", "start_date": "2023-10-01", "end_date": "2024-04-01" }, { "residency_status": "RESIDENT", "energy_tax_exception": "NO_EXCEPTION", "start_date": "2024-04-01" } ], "estimated_annual_volumes": [ { "direction": "CONSUMPTION", "energy_netted_peak": 1000, "energy_netted_off_peak": 500, "start_at": "2024-01-01T00:00:00", "end_at": "2024-12-31T23:59:59" }, { "direction": "PRODUCTION", "energy_netted_peak": 100, "energy_netted_off_peak": 50, "start_at": "2024-01-01T00:00:00", "end_at": null } ] }, { "ean": "871692160010200300", "agreements": [ { "supply_type": "GAS", "effective_from": "2023-01-01", "tariff_code": "TEST-AGILE-GAS", "agreed_at": "2023-01-01", "params": { "historical_contract_number": "000002", "historical_contract_pdf_path": "contracts/123-abc/contract_000002.pdf" }, "monthly_advance_charge_template": { "total_monthly_advance_amount": "1089", "forecast_annual_consumption": "1000", "forecast_consumption_units": "CUBIC_METRES_CONSUMPTION", "forecast_annual_generation": "0", "forecast_generation_units": "CUBIC_METRES_CONSUMPTION", "cost_details": [ { "band": "ADVANCE_SUPPLIER_DYNAMIC_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_SUPPLIER_PURCHASING_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_SUPPLIER_FIXED_COST", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_GRID_FEE", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_1", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_2", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_3", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_4", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 }, { "band": "ADVANCE_ENERGY_TAX_STEP_5", "net_amount": 100, "tax_amount": 21, "tax_rate": 0.21 } ] } } ], "last_billed_to_date": "2024-06-01", "supply_start_date": "2023-01-01", "supply_type": "GAS", "smart_meter_administrative_status": "ON", "market_segment": "RETAIL", "location_description": "", "meters": [ { "meter_id": "987654321", "type": "SMART", "smart_meter_technical_communication": "ON", "active_from": "2023-01-01", "registers": [ { "register_id": "1.8.0", "metering_direction": "CONSUMPTION", "multiplication_factor": 1, "number_of_digits": 6 } ] } ], "energy_meter_point_configuration_periods": [ { "allocation_method": "SMART", "energy_delivery_status": "ACTIVE", "energy_flow_direction": "CONSUMPTION", "metering_method": "MONTHLY", "physical_status": "IN_OPERATION", "profile_category": "G1A", "physical_capacity": 100, "cap_tar_code": "7520607100186", "start_date": "2023-10-01" } ], "energy_meter_point_grid_operator_effective_periods": [ { "grid_operator_code": "8719333035530", "start_date": "2023-10-01" } ], "billing_configuration_periods": [ { "energy_tax_exception": "NO_EXCEPTION", "start_date": "2023-10-01", "end_date": "2024-04-01" }, { "energy_tax_exception": "NO_EXCEPTION", "start_date": "2024-04-01" } ] } ] } ], "ledgers": [ { "identifiers": [ "871685920001232914", "871692160010200300" ], "last_settlement_balance": 100, "last_settlement_closing_date": "2023-12-31", "last_settlement_issue_date": "2023-12-31", "ledger_code": "ENERGY_LEDGER", "ledger_balance": 100, "transactions_in_open_settlement_period": [ { "transaction_id": "1", "transaction_date": "2024-01-23", "amount": 532.4, "type": "SUPPLY_CHARGE", "associated_invoice_number": "INV_101", "display_note": "Monthly invoice (2024-01-01 - 2024-02-01)", "supply_type": "ELECTRICITY", "product_code": "TEST-AGILE-ELEC", "line_items": [ { "rate_band": "ADVANCE_SUPPLIER_DYNAMIC_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "48372000-56d9-4204-9a7d-f146471d76b6" } }, { "rate_band": "ADVANCE_SUPPLIER_PURCHASING_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "f684277f-f145-44ac-8cd6-8e16edf18142" } }, { "rate_band": "ADVANCE_SUPPLIER_FIXED_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "8fbc9a34-0b51-49b0-824e-72ba88c2b8ef" } }, { "rate_band": "ADVANCE_GRID_FEE", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "86e61202-961a-444a-a8db-c1919d86fc01" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_1", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "f47267d1-bf42-410e-bebb-299ec6f0ff07" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_2", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "405b2808-d691-4f4e-a3f9-b3db868cea63" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_3", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "dd62597b-d4c6-44d1-8e19-02e8d85285c5" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_4", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "222795fc-92b5-4b23-9c69-8ccacf57faa1" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_5", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "1bc704c2-16f4-48b5-bbc9-6760814dcdb0" } }, { "rate_band": "ADVANCE_ENERGY_TAX_REDUCTION", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "6a15b806-f6f7-4fbb-9108-accc822a0a28" } } ], "tax_items": [ { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "48372000-56d9-4204-9a7d-f146471d76b6" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "f684277f-f145-44ac-8cd6-8e16edf18142" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "8fbc9a34-0b51-49b0-824e-72ba88c2b8ef" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "86e61202-961a-444a-a8db-c1919d86fc01" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "f47267d1-bf42-410e-bebb-299ec6f0ff07" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "405b2808-d691-4f4e-a3f9-b3db868cea63" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "dd62597b-d4c6-44d1-8e19-02e8d85285c5" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "222795fc-92b5-4b23-9c69-8ccacf57faa1" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "1bc704c2-16f4-48b5-bbc9-6760814dcdb0" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "6a15b806-f6f7-4fbb-9108-accc822a0a28" } } ] }, { "transaction_id": "2", "transaction_date": "2024-01-23", "amount": 532.4, "type": "PAYMENT", "reason": "ACCOUNT_CHARGE_PAYMENT", "associated_invoice_number": "INV_101", "display_note": "Monthly invoice (2024-01-01 - 2024-02-01)", "reference": "", "payment_type": "DD_REGULAR_COLLECTION" }, { "transaction_id": "3", "transaction_date": "2024-02-23", "amount": 479.16, "type": "SUPPLY_CHARGE", "associated_invoice_number": "INV_102", "display_note": "Monthly invoice (2024-01-01 - 2024-02-01)", "supply_type": "GAS", "product_code": "TEST-AGILE-GAS", "line_items": [ { "rate_band": "ADVANCE_SUPPLIER_DYNAMIC_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "0190b66c-4456-7827-8358-1b7ad66041fc" } }, { "rate_band": "ADVANCE_SUPPLIER_PURCHASING_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "1972903f-888e-415b-bea0-ba408a22315a" } }, { "rate_band": "ADVANCE_SUPPLIER_FIXED_COST", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "fd7a6e8a-91fe-44de-b985-a662360913c7" } }, { "rate_band": "ADVANCE_GRID_FEE", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "3ccc599b-94b8-4908-9f0a-4733c85aa9fd" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_1", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "0e09c28d-8a30-46aa-886e-5ca8c2825a92" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_2", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "ea43c08b-1f23-4e9a-822c-6c53b44971eb" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_3", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "993f88db-723a-4c6e-8d8c-db5f68c832a0" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_4", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "6eb58d4e-c615-4d05-8539-4bf1054da013" } }, { "rate_band": "ADVANCE_ENERGY_TAX_STEP_5", "start_date": "2024-01-01", "end_date": "2024-01-31", "number_of_units": 1.0, "price_per_unit": 44.0, "net_amount": 44.0, "params": { "ref": "23ea8db0-174c-493d-bbdf-fd11850a7eef" } } ], "tax_items": [ { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "0190b66c-4456-7827-8358-1b7ad66041fc" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "1972903f-888e-415b-bea0-ba408a22315a" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "fd7a6e8a-91fe-44de-b985-a662360913c7" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "3ccc599b-94b8-4908-9f0a-4733c85aa9fd" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "0e09c28d-8a30-46aa-886e-5ca8c2825a92" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "ea43c08b-1f23-4e9a-822c-6c53b44971eb" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "993f88db-723a-4c6e-8d8c-db5f68c832a0" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "6eb58d4e-c615-4d05-8539-4bf1054da013" } }, { "amount": 9.24, "tax_type": "VAT", "rate": 0.21, "unit_type": "PROPORTION", "params": { "vat_on": "23ea8db0-174c-493d-bbdf-fd11850a7eef" } } ] }, { "transaction_id": "4", "transaction_date": "2024-02-23", "amount": 479.16, "type": "PAYMENT", "reason": "ACCOUNT_CHARGE_PAYMENT", "associated_invoice_number": "INV_102", "reference": "", "payment_type": "DD_REGULAR_COLLECTION" } ], "historical_statement_transactions": [ { "amount": "100", "associated_invoice_number": "invoice-2", "display_note": "some display note", "note": "some note", "payment_type": "DD_REGULAR_COLLECTION", "transaction_date": "2022-01-31", "transaction_id": "4d71ad52-3515-4fe9-b60c-f1015eac53fe2", "type": "PAYMENT" }, { "amount": 104, "associated_invoice_number": "identifiable-invoice-number", "display_note": "2022 Credits", "transaction_date": "2022-12-31", "transaction_id": "52eea2b7-c678-446e-8246-f45c50a8ded9P", "type": "CREDIT", "reason": "IMPORTED_CREDIT" } ] } ], "statements": [ { "bill_period_from_date": "2024-01-01", "bill_period_to_date": "2024-02-01", "gross_amount": 5324, "issued_date": "2024-01-23", "number": "INV_101", "statement_id": "e5dd3c54-f621-4c59-bdf1-fa896388a6a8", "statement_path": "statements/327797/433411-1654079544-20241212-20250111.pdf", "statement_pdf_context": {} }, { "bill_period_from_date": "2024-01-01", "bill_period_to_date": "2024-02-01", "gross_amount": 47916, "issued_date": "2024-02-23", "number": "INV_102", "statement_id": "e5dd3c54-f621-4c59-bdf1-fa896388a6a8", "statement_path": "statements/327797/433411-1654079544-20241212-20250111.pdf", "statement_pdf_context": {} } ] }

Get account import status

Overview

Use this endpoint to retrieve the current status of an account import.

GET https://api.vandebron-kraken.energy/v2/data-import/accounts/<import-supplier-code>/<external-identifier>/

Responses

The following responses may be returned from the API.

Status codeDescription
200 - OK

If the account import process exists, a 200 OK response will be returned, detailing the status.

For example when there is no error in processing:

{ "status": "CANCELLED | PROCESSED | IN_PROGRESS | PENDING | DRY_RUN_SUCCEEDED", "kraken_identifier": null, "created_at": "2025-10-07T09:00:21.179194+02:00", "modified_at": "2025-10-07T09:06:38.078396+02:00", "latest_error": null }

For example when the import process is processed we have an internal kraken id:

{ "status": "PROCESSED", "kraken_identifier": "INTERNAL-KRAKEN-IDENTIFIER", "created_at": "2025-10-07T09:00:21.179194+02:00", "modified_at": "2025-10-07T09:06:38.078396+02:00", "latest_error": null }

For example when there is an error in processing:

{ "status": "ERRORED | DRY_RUN_ERRORED", "kraken_identifier": null, "created_at": "2025-10-07T09:00:21.179194+02:00", "modified_at": "2025-10-07T09:06:38.078396+02:00", "latest_error": { "code": "some_error_code", "detail": "A detailed error message", "domain": "account_import" } }
404 - Not Found

If the account import process does not exist, a 404 Not Found response will be returned.

{ "detail": "The requested resource was not found.", "code": "not_found" }